#!/usr/bin/env python

import importlib
import os
import sys

import dotenv

if __name__ == "__main__":
    # Load .env if it exists
    dotenv_path = dotenv.find_dotenv()
    if dotenv_path != '':
        dotenv.load_dotenv(dotenv_path)

    os.environ.setdefault("DJANGO_SETTINGS_MODULE", "djotali.settings.development")
    try:
        from django.core.management import execute_from_command_line
    except ImportError:
        # The above import may fail for some other reason. Ensure that the
        # issue is really that Django is missing to avoid masking other
        # exceptions on Python 2.
        try:
            importlib.import_module('django')
        except ImportError:
            raise ImportError(
                "Couldn't import Django. Are you sure it's installed and "
                "available on your PYTHONPATH environment variable? Did you "
                "forget to activate a virtual environment?"
            )
        raise
    execute_from_command_line(sys.argv)
